Bug 21583 - Novelist Select staff client not working in staff client - ns2init.js not loading
Summary: Novelist Select staff client not working in staff client - ns2init.js not loa...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20538
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-16 17:09 UTC by Nick Clemens
Modified: 2018-11-28 15:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21583: Don't use Asset.js for external script files (1.58 KB, patch)
2018-10-16 17:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21583: Don't use Asset.js for external script files (1.63 KB, patch)
2018-10-16 20:33 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21583: Don't use Asset.js for external script files (1.69 KB, patch)
2018-10-17 01:02 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-16 17:09:20 UTC

    
Comment 1 Nick Clemens 2018-10-16 17:12:41 UTC
Created attachment 80668 [details] [review]
Bug 21583: Don't use Asset.js for external script files

To test:
1 - Enable Novelist in staff client:
    NovelistSelectStaffEnabled: Add
    NovelistSelectStaffProfile: anything
    NovelistSelectPassword: anything
    ( these don't need to be valid, just not blank )
2 - Pull up a record detail page in staff client
3 - View page source - search for ns2init.js
4 - You won't find it
5 - Apply patch
6 - Reload details
7 - Search page source for ns2init.js
8 - It loaded! Huzzah!
Comment 2 ByWater Sandboxes 2018-10-16 20:33:36 UTC
Created attachment 80681 [details] [review]
Bug 21583: Don't use Asset.js for external script files

To test:
1 - Enable Novelist in staff client:
    NovelistSelectStaffEnabled: Add
    NovelistSelectStaffProfile: anything
    NovelistSelectPassword: anything
    ( these don't need to be valid, just not blank )
2 - Pull up a record detail page in staff client
3 - View page source - search for ns2init.js
4 - You won't find it
5 - Apply patch
6 - Reload details
7 - Search page source for ns2init.js
8 - It loaded! Huzzah!

Signed-off-by: George Williams <george@nekls.org>
Comment 3 George Williams (NEKLS) 2018-10-16 20:34:36 UTC
Tested on ByWater sandbox. Works as advertised.
Comment 4 Chris Cormack 2018-10-17 01:02:50 UTC
Created attachment 80684 [details] [review]
Bug 21583: Don't use Asset.js for external script files

To test:
1 - Enable Novelist in staff client:
    NovelistSelectStaffEnabled: Add
    NovelistSelectStaffProfile: anything
    NovelistSelectPassword: anything
    ( these don't need to be valid, just not blank )
2 - Pull up a record detail page in staff client
3 - View page source - search for ns2init.js
4 - You won't find it
5 - Apply patch
6 - Reload details
7 - Search page source for ns2init.js
8 - It loaded! Huzzah!

Signed-off-by: George Williams <george@nekls.org>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Nick Clemens 2018-10-17 19:26:39 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-26 11:53:00 UTC
Pushed to 18.05.x for 18.05.06
Comment 7 Fridolin SOMERS 2018-11-09 14:05:42 UTC
Depends on Bug 21583 not in 17.11.x